# Class FormCharSetFinder

java.lang.Object
org.apache.jmeter.protocol.http.proxy.FormCharSetFinder

public class FormCharSetFinder extends Object
A parser for html, to find the form tags, and their accept-charset value

## Constructor Summary

Constructors
Constructor
Description
`FormCharSetFinder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFormActionsAndCharSet(String html, Map<String,String> formEncodings, String pageEncoding)`
Add form action urls and their corresponding encodings for all forms on the page

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormCharSetFinder

public FormCharSetFinder()

## Method Details

### addFormActionsAndCharSet

public void addFormActionsAndCharSet(String html, Map<String,String> formEncodings, String pageEncoding) throws HTMLParseException
Add form action urls and their corresponding encodings for all forms on the page

Parameters:
  `html` - the html to parse for form encodings
  `formEncodings` - the Map where form encodings should be added
  `pageEncoding` - the encoding used for the whole page
Throws:
  `HTMLParseException` - when parsing the `html` fails